# all files / ol/proj/ proj4.js

100% Statements 6/6
100% Branches 2/2
100% Functions 2/2
100% Lines 6/6

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    271×

    1×

    1×
    12×

    1×
    159×

     goog.provide('ol.proj.proj4');

    /**
     * @private
     * @type {Proj4}
     */
    ol.proj.proj4.cache_ = null;

    /**
     * Store the proj4 function.
     * @param {Proj4} proj4 The proj4 function.
     */
    ol.proj.proj4.set = function(proj4) {
      ol.proj.proj4.cache_ = proj4;
    };

    /**
     * Get proj4.
     * @return {Proj4} The proj4 function set above or available globally.
     */
    ol.proj.proj4.get = function() {
      return ol.proj.proj4.cache_ || window['proj4'];
    };